## django-htmx 1.23.0

=== docs/requirements.txt ===
django
furo
sphinx

=== example/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --universal requirements.in -o requirements.txt
asgiref==3.8.1
    # via django
django==5.1.6
    # via
    #   -r requirements.in
    #   django-template-partials
django-template-partials==24.4
    # via -r requirements.in
faker==35.2.0
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via faker
six==1.17.0
    # via python-dateutil
sqlparse==0.5.3
    # via django
typing-extensions==4.12.2
    # via faker
tzdata==2025.1 ; sys_platform == 'win32'
    # via django

=== debian/changelog ===
django-htmx (1.23.0-1) experimental; urgency=medium

  * [b744bcb] New upstream version 1.23.0
  * [670568e] First and Basic Debianization
    (Closes: #1107507)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Jun 2025 22:26:47 +0200

=== debian/control ===
Source: django-htmx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python-django-doc <!nodoc>,
 python3-all,
 python3-asgiref <!nodoc>,
 python3-django <!nocheck> <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-htmx
Vcs-Git: https://salsa.debian.org/python-team/packages/django-htmx.git
Homepage: https://github.com/adamchainz/django-htmx
Testsuite: autopkgtest-pkg-python

Package: python-django-htmx-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Extensions for using Django with HTMX (Documentation)
 This Add-On for Django provides extensions for using Django with HTMX in
 your applications.
 .
 HTMX is a JavaScript library that gives you access to AJAX, CSS
 Transitions, WebSockets and Server Sent Events directly in HTML, using
 attributes, so you can build modern user interfaces with the simplicity and
 power of hypertext.
 .
 This package contains the documentation for python3-django-htmx.

Package: python3-django-htmx
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-htmx-doc,
Description: Extensions for using Django with HTMX
 This Add-On for Django provides extensions for using Django with HTMX in
 your applications.
 .
 HTMX is a JavaScript library that gives you access to AJAX, CSS
 Transitions, WebSockets and Server Sent Events directly in HTML, using
 attributes, so you can build modern user interfaces with the simplicity and
 power of hypertext.

## django-htmx 1.23.2

=== debian/changelog ===
django-htmx (1.23.2-2) unstable; urgency=medium

  * [4d44509] d/README.source: Correct the repository name

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Aug 2025 16:06:11 +0200

django-htmx (1.23.2-1) experimental; urgency=medium

  * [89f49bd] New upstream version 1.23.2
  * [5758d7d] d/control: Add new needed package to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Jul 2025 18:32:14 +0200

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/adamchainz/django-htmx.git \
      refs/tags/@ANY_VERSION@

## django-htmx 1.24.1

=== debian/changelog ===
django-htmx (1.24.1-1) unstable; urgency=medium

  * [5366124] d/watch: Convert to version 5
  * [0556a32] New upstream version 1.24.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Sep 2025 17:15:11 +0200

## django-htmx 1.26.0

=== example/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --universal requirements.in -o requirements.txt
asgiref==3.8.1
    # via django
django==5.2
    # via
    #   -r requirements.in
    #   django-template-partials
django-template-partials==24.4
    # via -r requirements.in
faker==37.1.0
    # via -r requirements.in
sqlparse==0.5.3
    # via django
tzdata==2025.2
    # via
    #   django
    #   faker

=== debian/changelog ===
django-htmx (1.26.0-1) unstable; urgency=medium

  * [b24e8d9] New upstream version 1.26.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Sep 2025 16:36:22 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-pytest-django <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-htmx

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=django_htmx
export PYBUILD_BEFORE_TEST=cp -a tests {build_dir}

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` && \
	export PYTHONPATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-django-htmx-doc/usr/share/doc/python-django-htmx-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html

=== debian/watch ===
Version: 5

Source: https://github.com/adamchainz/django-htmx.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## django-htmx 1.27.0

=== debian/changelog ===
django-htmx (1.27.0-1) unstable; urgency=medium

  * [b31e807] New upstream version 1.27.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 02 Dec 2025 17:38:29 +0200
